
/* base */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body{
    font-size: 62.5%;
}


.container{
    background-color:#fff;
    border: 2px solid rgb(201, 201, 201);
    display: flex;
    flex-direction: column;
    margin: 2rem 5rem;
    height: 90vh;
}

/* base */
html{ 
    scroll-behavior: smooth;
}


:root{
    --color-primary-light: #f75905;
    --color-primary-1: #e2631f;
    --color-primary-ultralight: #ff8244;

    
    

    --color-5: #fab69f;
}

.header{
    background-image: linear-gradient(to bottom, rgba(247, 89, 5, 0.4) , rgba(0,0,0,0.6)),url(../img/background3.jpeg);
    background-position: center;
    background-size: cover;
    height: 50vh;
    border-bottom-left-radius: 70px;
    border-bottom-right-radius: 70px;
    display: flex;
    justify-content: space-between;
}

.header-logo{
    height: 5rem;
}

/* page heading*/

.catalog-head{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: -2%;
}

.page-heading{
    background-color: var(--color-primary-light);
    width: min-content;
    padding: 0.5rem 2.5rem;
    font-size: 2rem;
    font-weight: 400;
    color: #fff;
    font-family: sans-serif;
    text-align: center;
    border-radius: 50px;

}


/* navigation*/
.navigation {
    height: 5rem;
    display: flex;
    align-items: center;
    width: 100%;
    z-index: 10;
    /* position: fixed; */
    transition: all 0.3s;
}


.section-list{
    display: flex;
}
@media only screen and (max-width: 600px) {
    .section-list{
      display: none;
    }
  }

.section-list_item{
    list-style: none;
    font-size: 1.6rem;
    padding-right: 2rem;
    font-family: sans-serif;
}

/* Nav item */
.item-1{
    text-decoration: none;
    color: #fff;
    padding: 1rem 0 0 2rem;
    text-transform: uppercase;
}

.item-1:last-child{
    padding-bottom: 2rem;
}

/* nav element*/
.section-list_item-link:link,
.section-list_item-link:visited{
    text-decoration: none;
    color: #fff;
    text-transform: uppercase;
    padding: 0.5rem 1rem;
    transition: all 0.3s;
    display: block;
    font-size: 1.4rem;
}

.section-list_item-link:hover{
    background-color: var(--color-primary-1);
    transform: scale(1.1);

}


.section-list_item-link-items{
    height: 0;
    font-size: 1.5rem;
    background-color: var(--color-secondary-light);
    transition: all 1s;
}


.section-list_item-link-items_brass a{
    text-decoration: none;
    color: var(--color-secondary-light);
    padding: 0.2rem 1rem;
}


.item-1{
    display: block;
}


/* extra class for navigation */
.display{
    display: block;
}

/* search */
.search{
    text-align: center;
}
.search-box{
    font-size: 1.2rem;
    padding: 0.5rem 2rem;
}

.nav-btn{
    font-size: 1.4rem;
    outline: none;
    border-radius: 100px;
    background-color: transparent;
    border: none;
    transform: translate(-2.5rem, 0.3rem);
    padding: 0.3rem;
    font-family: sans-serif;
    cursor: pointer;
}

/* description for contact */
.description{
    width: 30rem;
}

.contact-description_head{
    font-family: sans-serif;
    font-size: 1.2rem;
    font-weight: 300;
    color: rgb(122, 122, 122);
    margin-bottom: 1rem;
}
.contact-description_content{
    font-family: sans-serif;
    font-size: 1rem;
    font-weight: 200;
    color: rgb(148, 148, 148);
    margin-bottom: 2rem;

}


.description_contact{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: min-content min-content;
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    width: 100%;
    margin: 2rem 1rem;
}

.contact_img{
    overflow: hidden;
    width: 70%;
    justify-self: center;
}

.contact_img-pic{
    width: 100%;
    height: auto;
}
.postal-address{
    grid-column: 2/3;
    grid-row: 2/3;
    margin-top: -30%;
    margin-left: 20%;
}

.postal-address_type{
    font-size: 1.5rem;
    font-family: sans-serif;
    color: var(--color-primary-1);
}

.postal-address_para{
    font-size: 1.2rem;
    font-family: sans-serif;
}

/* form */
.form{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    align-items: center;
}

.form-label{
    font-size: 1.2rem;
    font-family: sans-serif;
}
.form-item{
    margin-bottom: 2rem;
}

#form-name,
#form-email,
#form-message{
    font-size: 1.2rem;
    margin-left: 1rem;
    padding: 0.25rem 1rem;
}

.submit{
    padding: 0.5rem 2rem;
    font-size: 1.2rem;
    outline: none;
    background-color: #f50;
    border: none;
    color: #fff;
    border-radius: 10px;
}


@keyframes pop {
    0%{
        transform: scale(0);
    }
    50%{
        transform: scale(1.5);
    }
    100%{
        transform: scale(1);
    }
}


/* typography */

.heading-1{
    color: #fff;
    font-size: 2rem;
    font-family: sans-serif;
    margin-bottom: 1rem;
}
.heading-1_orange{
    color: var(--color-primary-ultralight);
    font-size: 3rem;
    font-weight: 100;
    margin-top: 1rem;
    margin-left: 1rem;
}
.heading-contact{
    width: 90%;
    align-self: center;
    border-bottom: 2px solid rgb(201, 201, 201);
}


.heading-1_small{
    color: #fff;
    font-size: 1.4rem;
    font-family: sans-serif;
    margin-bottom: 0.7rem;
}



/* FOOTER */

.footer{
    background-color: #000;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
}
.footer-socialPannel-link{
    font-size: 2rem;
    text-decoration: none;
    color: #ffffff;
    text-transform: uppercase;
    padding-right: 1rem;
    color: #eee;
    transition: all 0.2s;
}

.footer-nav{
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
    padding-top: 2.5rem;
}

.footer-socialPannel{
    margin-right: 2rem;
}

.footer-para{
    color: #eee;
    font-size: 1rem;
    text-align: center;
    padding-bottom: 1rem;

}

.footer-linkPannel-link:hover{
    color:  #f50;
}
.footer-linkPannel-link{
    font-size: 1.2rem;
    text-decoration: none;
    color: #ffffff;
    font-family: 'Baloo Paaji 2', sans-serif;
    text-transform: uppercase;
    padding-right: 1rem;
    transition: all 0.2s;
}

.footer-linkPannel{
    margin-left: 2rem;
}
.footer-logo-img{
    height: 4rem;
}

.footer-logo{
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;  
}


.instagram:hover{
    color: #c32aa3;
}

.twitter:hover{
    color: #1da1f2;
}

.whatsapp:hover{
    color: #25d366;
}

.facebook:hover{
    color:#3b5998;
}